/* getdir.h -- Definitions needed to use code in getdir.c */
#include <sys/stat.h>
#include <sys/types.h>
#include <unistd.h>

/* This struct holds file data */
struct filedata {
  char *name;
  char *linkto;
  int filetype;
};

/* This holds the list of files in the current directory */
extern struct filedata *files;

extern char current_wd[120];

/* This is the number of file entries allocated in *files */
/* fileptr is first unused space */
extern int nfiles;
extern int fileptr;

/* A function */
int refresh();
int load_dir(const char *);
char *getparent();
